@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  fragpipe startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and FRAGPIPE_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\fragpipe-20.0.jar;%APP_HOME%\lib\juniversalchardet-2.4.0.jar;%APP_HOME%\lib\gson-2.10.jar;%APP_HOME%\lib\streamex-0.8.1.jar;%APP_HOME%\lib\jool-java-8-0.9.14.jar;%APP_HOME%\lib\maven-artifact-3.8.5.jar;%APP_HOME%\lib\jgrapht-core-1.5.1.jar;%APP_HOME%\lib\jgraphx-4.2.2.jar;%APP_HOME%\lib\commons-compress-1.21.jar;%APP_HOME%\lib\commons-text-1.10.0.jar;%APP_HOME%\lib\commons-lang3-3.12.0.jar;%APP_HOME%\lib\miglayout-swing-11.0.jar;%APP_HOME%\lib\rxjava-1.3.8.jar;%APP_HOME%\lib\eventbus-java-3.3.1.jar;%APP_HOME%\lib\jsoup-1.15.3.jar;%APP_HOME%\lib\okhttp-4.10.0.jar;%APP_HOME%\lib\logback-classic-1.4.4.jar;%APP_HOME%\lib\slf4j-api-2.0.3.jar;%APP_HOME%\lib\balloontip-1.2.4.1.jar;%APP_HOME%\lib\org-netbeans-swing-outline-RELEASE130.jar;%APP_HOME%\lib\commons-io-2.11.0.jar;%APP_HOME%\lib\plexus-utils-3.3.0.jar;%APP_HOME%\lib\jheaps-0.13.jar;%APP_HOME%\lib\miglayout-core-11.0.jar;%APP_HOME%\lib\okio-jvm-3.2.0.jar;%APP_HOME%\lib\kotlin-stdlib-jdk8-1.6.20.jar;%APP_HOME%\lib\kotlin-stdlib-jdk7-1.6.20.jar;%APP_HOME%\lib\kotlin-stdlib-1.6.20.jar;%APP_HOME%\lib\logback-core-1.4.4.jar;%APP_HOME%\lib\org-openide-util-ui-RELEASE130.jar;%APP_HOME%\lib\kotlin-stdlib-common-1.6.20.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\org-openide-util-RELEASE130.jar;%APP_HOME%\lib\org-openide-util-lookup-RELEASE130.jar


@rem Execute fragpipe
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %FRAGPIPE_OPTS%  -classpath "%CLASSPATH%" com.dmtavt.fragpipe.FragPipeMain %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable FRAGPIPE_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%FRAGPIPE_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
